Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface CustomFinder

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, DBCommand, org.eclipse.emf.ecore.EObject, Finder, MultiResFinder, org.eclipse.emf.common.notify.Notifier

    public interface CustomFinder

extends MultiResFinder

A representation of the model object 'Custom Finder'. Operazione di ricerca con logica custom

The following features are supported:

- `Filter Class FQN`
- `Custom Select`
- `Custom From`
- `Query Definition`

See Also:
  `DatagenPackage.getCustomFinder()`

Method Summary
`java.lang.String` | `getFilterClassFQN()` Returns the value of the 'Filter Class FQN' attribute
`QueryDef` | `getQueryDefinition()` Returns the value of the 'Query Definition' containment reference
`boolean` | `isCustomFrom()` Returns the value of the 'Custom From' attribute.
`boolean` | `isCustomSelect()` Returns the value of the 'Custom Select' attribute.
`void` | `setCustomFrom(boolean value)` Sets the value of the '`Custom From`' attribute
`void` | `setCustomSelect(boolean value)` Sets the value of the '`Custom Select`' attribute
`void` | `setFilterClassFQN(java.lang.String value)` Sets the value of the '`Filter Class FQN`' attribute
`void` | `setQueryDefinition(QueryDef value)` Sets the value of the '`Query Definition`' containment reference

Methods inherited from interface it.csi.mddtools.datagen.MultiResFinder
`getDistinct, getOrderSpecs, setOrderSpecs`

Methods inherited from interface it.csi.mddtools.datagen.DBCommand
`getName, setName`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFilterClassFQN

    java.lang.String getFilterClassFQN()

  Returns the value of the 'Filter Class FQN' attribute. Full qualified name della classe che deve essere utilizzata come parametro di input per il finder. Possibili valori:
  - Se non si specifica la proiprietà la classe utilizzata sarà java.lang.Object.
  - Se il valore specificato è $dto, sarà utilizzata la classe del dto associato.
  - Se il valore specificato è $dto[], sarà utilizzata una ArrayList costituita da oggetti del tipo del dto associato.

  Returns:
    the value of the 'Filter Class FQN' attribute.
  See Also:
    `setFilterClassFQN(String)`, `DatagenPackage.getCustomFinder_FilterClassFQN()`

### setFilterClassFQN

    void setFilterClassFQN(java.lang.String value)

  Sets the value of the '`Filter Class FQN`' attribute.

  Parameters:
    `value` - the new value of the 'Filter Class FQN' attribute.
  See Also:
    `getFilterClassFQN()`

### isCustomSelect

    boolean isCustomSelect()

  Returns the value of the 'Custom Select' attribute. The default value is `"false"`. Se impostata a true permette la customizzazione della clausola select, altrimenti viene generata una clausola di default che tiene conto di:
  - nomi di colonne
  - posizione delle colonne
  - eventuali clausole DISTINCT

  Returns:
    the value of the 'Custom Select' attribute.
  See Also:
    `setCustomSelect(boolean)`, `DatagenPackage.getCustomFinder_CustomSelect()`

### setCustomSelect

    void setCustomSelect(boolean value)

  Sets the value of the '`Custom Select`' attribute.

  Parameters:
    `value` - the new value of the 'Custom Select' attribute.
  See Also:
    `isCustomSelect()`

### isCustomFrom

    boolean isCustomFrom()

  Returns the value of the 'Custom From' attribute. The default value is `"false"`. Se impostata a true permette la customizzazione della clausola FROM, tipicamente necessaria quando si debba introdurre una tabella aggiuntiva per fare ad esempio una join.

  Returns:
    the value of the 'Custom From' attribute.
  See Also:
    `setCustomFrom(boolean)`, `DatagenPackage.getCustomFinder_CustomFrom()`

### setCustomFrom

    void setCustomFrom(boolean value)

  Sets the value of the '`Custom From`' attribute.

  Parameters:
    `value` - the new value of the 'Custom From' attribute.
  See Also:
    `isCustomFrom()`

### getQueryDefinition

    QueryDef getQueryDefinition()

  Returns the value of the 'Query Definition' containment reference.

  If the meaning of the 'Query Definition' containment reference isn't clear, there really should be more of a description here...

  Definizione della query da eseguire. Utilizzando questo tipo di modellazione è possibile modellare interamente la query senza limitazioni sulla struttura dei campi in output, delle tabelle coinvolte, dei criteri di join. L'utilizzo di questa modalità inibisce la possibilità/necessità di scrivere codice java per implementare la query.

  Returns:
    the value of the 'Query Definition' containment reference.
  See Also:
    `setQueryDefinition(QueryDef)`, `DatagenPackage.getCustomFinder_QueryDefinition()`

### setQueryDefinition

    void setQueryDefinition(QueryDef value)

  Sets the value of the '`Query Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Definition' containment reference.
  See Also:
    `getQueryDefinition()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD